<main class="wrapper detail-book-wrapper" *ngIf="book; else noBook">
  <section class="book-main">
    <mat-card-title align="center">{{ book.title | uppercase }}</mat-card-title>
    <img mat-card-image src="{{ book.image || '/assets/noimg.png' }}" />
  </section>
  <section class="book-information">
    <mat-card>
      <mat-card-title align="center">Info</mat-card-title>
      <mat-card-content>
        <span>Writing date: {{ book.writing_date | date }}</span>
        <p>Release date: {{ book.release_date | date }}</p>
        <p>Author: {{ book.author | authorFullName }}</p>
        <div class="card-genres">
          <span>Genres:</span>
          <ul>
            <li *ngFor="let genre of book.genres">
              <span>{{ genre.name }}</span>
            </li>
          </ul>
        </div>
        <p class="card-description">{{ book.description }}</p>
        <p>{{ book.price | currency }}</p>
      </mat-card-content>
    </mat-card>
  </section>
</main>
<ng-template #noBook>
  <div>An error occurred, try refreshing page</div>
</ng-template>
<button mat-flat-button color="primary" (click)="goBack()">Go Back</button>
